Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.net
Interface FileNameMap

    public interface FileNameMap

A simple interface which provides a mechanism to map between a file name and a MIME type string.

Since:
  JDK1.1

Method Summary
`String` | `getContentTypeFor(String fileName)` Gets the MIME type for the specified file name.

Method Detail

### getContentTypeFor

    String getContentTypeFor(String fileName)

  Gets the MIME type for the specified file name.

  Parameters:
    `fileName` - the specified file name
  Returns:
    a `String` indicating the MIME type for the specified file name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.